package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackDetailGoods;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailGoodsVo;
import com.fjhx.sale.entity.pack.dto.PackDetailGoodsSelectDto;
import com.fjhx.sale.entity.pack.dto.PackDetailGoodsDto;


/**
 * <p>
 * 自定义装箱货物表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailGoodsService extends BaseService<PackDetailGoods> {

    /**
     * 自定义装箱货物表分页
     */
    Page<PackDetailGoodsVo> getPage(PackDetailGoodsSelectDto dto);

    /**
     * 自定义装箱货物表明细
     */
    PackDetailGoodsVo detail(Long id);

    /**
     * 自定义装箱货物表新增
     */
    void add(PackDetailGoodsDto packDetailGoodsDto);

    /**
     * 自定义装箱货物表编辑
     */
    void edit(PackDetailGoodsDto packDetailGoodsDto);

    /**
     * 自定义装箱货物表删除
     */
    void delete(Long id);

}
